summaryrefslogtreecommitdiff
path: root/src/exchangedb/test_idempotency.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/exchangedb/test_idempotency.sh')
-rwxr-xr-xsrc/exchangedb/test_idempotency.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/exchangedb/test_idempotency.sh b/src/exchangedb/test_idempotency.sh
new file mode 100755
index 000000000..7314b8c3f
--- /dev/null
+++ b/src/exchangedb/test_idempotency.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# This file is in the public domain.
+set -eu
+psql talercheck < /dev/null || exit 77
+echo "Initializing DB"
+taler-exchange-dbinit -r -c test-exchange-db-postgres.conf
+echo "Re-initializing DB"
+taler-exchange-dbinit -c test-exchange-db-postgres.conf
+echo "Re-loading procedures"
+psql talercheck < procedures.sql
+echo "Test PASSED"
+exit 0